<?php
require_once('conecta.php');

if ($_GET['empresas'] == 1) {

    // Recuperando os dados do formulário
    $razao_social = $_POST["razao_social"];
    $nome_fantasia = $_POST["nome_fantasia"];
    $cnpj = $_POST["cnpj"];
    $endereco = $_POST["endereco"];
    $bairro = $_POST["bairro"];
    $numero = $_POST["numero"];
    $cidade = $_POST["cidade"];
    $estado = $_POST["estado"];
    $pais = $_POST["pais"];
    $telefone = $_POST["telefone"];
    $inscricao_estadual = $_POST["inscricao_estadual"];
    $inscricao_municipal = $_POST["inscricao_municipal"];

    $data = date('d/m/Y H:i'); // Obter a data formatada como "yyyy-mm-dd"
    $hash = hash('md5', $data); // Gerar um hash MD5 da data

    $gerapixel = "_pixel_imagem_" . $hash;

    // obtendo o nome do arquivo de imagem enviado
    $logo = $gerapixel . $_FILES['logo']['name'];

    $extensao = pathinfo($logo, PATHINFO_EXTENSION);
    $logo = pathinfo($logo, PATHINFO_FILENAME);
    $logo = preg_replace('/[^A-Za-z0-9\-]/', '', $logo);
    $logo = preg_replace('/[\-]+/', '-', $logo);
    $logo = str_replace(' ', '-', $logo);
    $logo = strtolower($logo);
    $logo .= '.' . $extensao;

    // movendo a imagem para a pasta de upload
    move_uploaded_file($_FILES['logo']['tmp_name'], "../images/gerais/" . $logo);

    // Inserindo os dados na tabela "parceiros"
    $sql = "INSERT INTO empresas (
        razao_social, nome_fantasia, cnpj, endereco, bairro, numero, cidade, estado, pais, telefone, inscricao_estadual, inscricao_municipal, logo
    ) VALUES (
        '$razao_social', '$nome_fantasia', '$cnpj', '$endereco', '$bairro', '$numero', '$cidade', '$estado', '$pais', '$telefone', '$inscricao_estadual', '$inscricao_municipal', '$logo'
    )";

    $resultado = mysqli_query($conn, $sql);

    if ($resultado) {
        // Redireciona o usuário para a página de destino
        header('Location: ../empresas.php?adicionado=ok&id=');
        exit;
    } else {
        echo "Erro ao inserir dados: " . mysqli_error($conn);
    }

    // Fechando a conexão com o banco de dados
    mysqli_close($conn);
}

//<!-- UPDATE -->
if ($_GET['empresas'] == 2) {


    $idpagina = $_GET['id'];

    // Obtém os valores dos campos do formulário
    $razao_social = $_POST["razao_social"];
    $nome_fantasia = $_POST["nome_fantasia"];
    $cnpj = $_POST["cnpj"];
    $endereco = $_POST["endereco"];
    $bairro = $_POST["bairro"];
    $numero = $_POST["numero"];
    $cidade = $_POST["cidade"];
    $estado = $_POST["estado"];
    $pais = $_POST["pais"];
    $telefone = $_POST["telefone"];
    $inscricao_estadual = $_POST["inscricao_estadual"];
    $inscricao_municipal = $_POST["inscricao_municipal"];

    if (!empty($_FILES['logo']['name'])) {
        $data = date('d/m/Y H:i'); // Obter a data formatada
        $hash = hash('md5', $data); // Gerar um hash MD5 da data
        $gerapixel = "_pixel_imagem_" . $hash;

        // Obtendo o nome do arquivo de imagem enviado
        $logo = $gerapixel . $_FILES['logo']['name'];

        // Tratamento do nome da imagem
        $extensao = pathinfo($logo, PATHINFO_EXTENSION);
        $logo = pathinfo($logo, PATHINFO_FILENAME);
        $logo = preg_replace('/[^A-Za-z0-9\-]/', '', $logo);
        $logo = preg_replace('/[\-]+/', '-', $logo);
        $logo = str_replace(' ', '-', $logo);
        $logo = strtolower($logo);
        $logo .= '.' . $extensao;

        // Movendo a imagem para a pasta de upload
        move_uploaded_file($_FILES['logo']['tmp_name'], "../images/gerais/" . $logo);

        // Incluindo logo no update
        $sql = "UPDATE empresas 
                SET razao_social='$razao_social', 
                    nome_fantasia='$nome_fantasia', 
                    cnpj='$cnpj', 
                    endereco='$endereco', 
                    bairro='$bairro', 
                    numero='$numero', 
                    cidade='$cidade', 
                    estado='$estado', 
                    pais='$pais', 
                    telefone='$telefone', 
                    inscricao_estadual='$inscricao_estadual', 
                    inscricao_municipal='$inscricao_municipal', 
                    logo='$logo' 
                WHERE id=$idpagina";
    } else {
        // Sem logo
        $sql = "UPDATE empresas 
                SET razao_social='$razao_social', 
                    nome_fantasia='$nome_fantasia', 
                    cnpj='$cnpj', 
                    endereco='$endereco', 
                    bairro='$bairro', 
                    numero='$numero', 
                    cidade='$cidade', 
                    estado='$estado', 
                    pais='$pais', 
                    telefone='$telefone', 
                    inscricao_estadual='$inscricao_estadual', 
                    inscricao_municipal='$inscricao_municipal' 
                WHERE id=$idpagina";
    }

    // Executa a query
    if (mysqli_query($conn, $sql)) {
        header('Location: ../empresas_update.php?atualizado=ok&id=' . $idpagina);
        exit;
    } else {
        echo "Erro ao atualizar dados: " . mysqli_error($conn);
    }

    // Fecha a conexão
    mysqli_close($conn);
}


//<!-- DELETAR SLIDERS -->
if ($_GET['empresas'] == 3) {



    $idpagina = $_GET['id'];

    // Delete the user with ID 123
    $sql = "DELETE FROM empresas WHERE id = $idpagina";
    if (mysqli_query($conn, $sql)) {
        header("location: ../empresas.php?apagou=ok");
    } else {
        echo "Error deleting user: " . mysqli_error($conn);
    }

    // Close the connection
    mysqli_close($conn);
}
